Package Details: veracrypt-git 1:1.25.9.r158.7ada94d3-1

Git Clone URL: https://aur.archlinux.org/veracrypt-git.git (read-only, click to copy)
Package Base: veracrypt-git
Description: Disk encryption with strong security based on TrueCrypt
Upstream URL: https://www.veracrypt.fr/
Keywords: update
Licenses: custom:truecrypt
Conflicts: veracrypt
Provides: veracrypt
Submitter: atweiden
Maintainer: eclairevoyant
Last Packager: eclairevoyant
Votes: 7
Popularity: 0.001021
First Submitted: 2016-03-19 18:12 (UTC)
Last Updated: 2023-07-15 19:12 (UTC)

Dependencies (7)

Required by (2)

Sources (4)

Latest Comments

1 2 Next › Last »

Stux.Net commented on 2023-10-14 13:19 (UTC) (edited on 2023-10-16 13:15 (UTC) by Stux.Net)

Broken by latest Update. When using the -t flag you get the following error:

(process:3229): GLib-GObject-CRITICAL **: 15:17:04.477: g_object_get: assertion 'G_IS_OBJECT (object)' failed free(): invalid pointer Aborted (core dumped)

Downgrading the wxwidgets-common package from 3.2.2.1-2 -> 3.2.3-1 and wxwidgets-gtk3 from 3.2.2.1-2 -> 3.2.3-1 resolves the issue. Might help

Jertzukka commented on 2023-07-01 16:09 (UTC)

To support different translations provided by VeraCrypt (bases it on your LANG env variable), add following to package():

install -d "{pkgdir}/usr/share/veracrypt/languages"
install -vDm0644 ../Translations/* "{pkgdir}/usr/share/veracrypt/languages/"

MarsSeed commented on 2023-06-14 23:22 (UTC)

Please also make it depend explicitly on wxwidgets-gtk3 and not wxgtk3, as keeping the old name causes problems for people who wish to use alternative packages for this library from AUR.

MarsSeed commented on 2023-06-13 16:51 (UTC)

Broken by Arch packaging change.

Needs to use wx-config, not wx-config-gtk3, after wxgtk3 dependency got renamed in Arch repo to wxwidgets-gtk3.

Daerun commented on 2022-07-21 06:50 (UTC)

Update: new versions of wxwidgets- solved the problem.

Daerun commented on 2022-07-17 10:42 (UTC)

The new wxgtk- to wxwidgets- updates conflict with Veracrypt, maybe because of it being outdated.

IceBear commented on 2021-12-09 14:58 (UTC)

PLease update to the new version

mipi commented on 2021-12-04 06:44 (UTC)

Hi, the package is also building on armv7h (I tested that). Could you add this architecture to the arch array? Thanks!

mostlyharmless commented on 2021-11-13 21:54 (UTC)

This doesn't install with the latest wxgtk/wtgtk-dev (3.1.5) as opposed to the 3.0.5 version. Does it belong on the broken list https://archlinux.org/todo/gtk-2-eol/ Or is there another work around?

mipi commented on 2021-11-02 08:05 (UTC)

Hi, the package is also building on aarch64 (I tested that). Could you add this architecture to the arch array? Thanks!